import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import java.util.Random;
import java.util.concurrent.*;

public class GameGUI implements ActionListener {
    KeyBindingListener kbl_down, kbl_up, kbl_left, kbl_right;
    JButton but1;
    JGrafikPanel grafikbereich;
    JFrame frame;

    public void zeigeFenster() {
        frame = new JFrame();
        frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
        frame.setTitle("Fenster");
        frame.setLayout(null); 

        grafikbereich = new JGrafikPanel();
        grafikbereich.setBounds(10,80,300,300);
        frame.add(grafikbereich);

        but1 = new JButton("hier passiert nichts");
        but1.setBounds(10,10,200,40);
        but1.addActionListener(this);
        frame.add( but1 );

        frame.pack();
        frame.setSize(500,430);
        frame.setResizable(false);
        frame.setVisible( true );

        // Die Cursortasten registrieren
        kbl_down = new KeyBindingListener("DOWN",this);
        grafikbereich.getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(KeyStroke.getKeyStroke("DOWN"),"DOWN");
        grafikbereich.getActionMap().put("DOWN",kbl_down);
        kbl_up = new KeyBindingListener("UP",this);
        grafikbereich.getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(KeyStroke.getKeyStroke("UP"),"UP");
        grafikbereich.getActionMap().put("UP",kbl_up);
        kbl_left = new KeyBindingListener("LEFT",this);
        grafikbereich.getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(KeyStroke.getKeyStroke("LEFT"),"LEFT");
        grafikbereich.getActionMap().put("LEFT",kbl_left);
        kbl_right = new KeyBindingListener("RIGHT",this);
        grafikbereich.getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW).put(KeyStroke.getKeyStroke("RIGHT"),"RIGHT");
        grafikbereich.getActionMap().put("RIGHT",kbl_right);

        // sorgt dafür, dass die run-Methode in dieser Klasse alle 50ms aufgerufen wird (nach 500ms Startverzögerung)
        // ScheduledThreadPoolExecutor stpe = new ScheduledThreadPoolExecutor(2);
        // stpe.scheduleAtFixedRate(this, 500, 50, TimeUnit.MILLISECONDS);
    }

    public void actionPerformed(ActionEvent e) {
        if(e.getSource() == but1) {
            // beim Button-Click passiert noch nichts
        }
        if(e.getSource() == kbl_down) {
            //System.out.println("Cursor down");
            GameStarter.sm.movePlayer("down");
        }
        frame.repaint();
    }

}
