import java.awt.*;

public class Spielfeld implements Malbar {
    SpielfeldLayer hintergrund;
    RasterObject playerFigur;    
    
    public Spielfeld() {
        hintergrund = new SpielfeldLayer(10,10);
        playerFigur = GameStarter.sm.getPlayerObject();;
    }
    
    public void initLevel(int lvl) {
        if(lvl == 1) {
            playerFigur.setPosition(2,3);
            RasterObject m = new RasterObject("mauer.png");
            hintergrund.addObjectAt(m,1, 1);
            hintergrund.addObjectAt(m,2, 1);
            hintergrund.addObjectAt(m,3, 1);
            hintergrund.addObjectAt(m,4, 1);
            hintergrund.addObjectAt(m,5, 1);
            
            hintergrund.addObjectAt(m,1, 2);
        }
    }
    
    public void move(Malbar m, String command) {
        playerFigur.move(command);
    }
    
    public void paint(Graphics g) {
        paintAt(g,0,0);
    }

    public void paintAt(Graphics g, int rx, int ry) {
        hintergrund.paint(g);
        playerFigur.paint(g);
    }
    
}
